
CoCoALib - Bug #1135

Compilaton with --debug configuration option gives errors

05 Dec 2017 15:34 - John Abbott

Status: Closed Start date: 05 Dec 2017

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 0.00 hour

Target version: CoCoALib-0.99560 Spent time: 0.75 hour

Description

Configuring CoCoALib with the option --debug produces errors when compiling the library, and then later when running the tests.

Rectify!

History

#1 - 05 Dec 2017 15:43 - John Abbott

- Status changed from New to Resolved

- % Done changed from 0 to 80

In an earlier version of CoCoALib the preprocessor symbol CoCoA_DEBUG contained an integer value: 1 gave standard debugging, >1 produced a

log message each time an exception was thrown by ThrowError (effectively, CoCoA_ERROR).

Now CoCoA_DEBUG is simply "undefined" or "defined"; it does not have a value (just empty string, I suppose).

I have updated the following files:

utils.H, OrdvArith.H and OrdvArith-OpenMP.H

error.C

I have also changed ThrowError so that it uses VerboseLog instead of printing directly to clog

(this was the cause of the problems I had with the tests complaining about wrong output on stderr)

All seems well now.

Should the target version be 0.99560 or 0.99570?

#2 - 05 Dec 2017 16:07 - Anna Maria Bigatti

- Assignee set to John Abbott

- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99560

Should the target version be 0.99560 or 0.99570?

 

if it's done, 60!
#3 - 15 Dec 2017 15:16 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

I have also improved the message placed in PREPROCESSOR_DEFNS.H near the definition/undefinition of CoCoA_DEBUG
